#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#if __has_include(<AppTrackingTransparency/AppTrackingTransparency.h>)
#import <AppTrackingTransparency/AppTrackingTransparency.h>
#endif
#import <AdSupport/AdSupport.h>
@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        

    if (@available(iOS 14, *)) {
               // iOS14及以上版本需要先请求权限
               [ATTrackingManager requestTrackingAuthorizationWithCompletionHandler:^(ATTrackingManagerAuthorizationStatus status) {
                   
                   if (status == ATTrackingManagerAuthorizationStatusAuthorized) {
                       NSLog(@"同意授权:%@",[[[ASIdentifierManager sharedManager] advertisingIdentifier] UUIDString]);
             
               
                   }else{
                       NSLog(@"被拒绝，请在设置-隐私-广告中打开广告跟踪功能");
                   }
               }];
           }
   
    });
    
  // Override point for customization after application launch.
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

 
@end
